Package writer2latex.xhtml

# Class SectionStyleConverter

java.lang.Object
writer2latex.xhtml.StyleConverterHelper
writer2latex.xhtml.StyleWithPropertiesConverterHelper
writer2latex.xhtml.SectionStyleConverter

public class SectionStyleConverter extends StyleWithPropertiesConverterHelper
This class converts OpenDocument section styles to CSS2 styles. Sections are formatted using (a subset of) box properties and with columns. The latter would require css3 to be converted (column-count property)

## Field Summary

### Fields inherited from class writer2latex.xhtml.StyleConverterHelper

`bConvertHard, bConvertStyles, nType, styleMap, styleNames`

## Constructor Summary

Constructors
Constructor
Description
`SectionStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
Create a new `SectionStyleConverter`

## Method Summary

Modifier and Type
Method
Description
`void`
`applyProperties(StyleWithProperties style, CSVList props, boolean bInherit)`
Convert formatting properties for a specific section style.
`String`
`getDefaultTagName(StyleWithProperties style)`
Create default tag name to represent a section object
`OfficeStyleFamily`
`getStyles()`
Get the family of section styles

### Methods inherited from class writer2latex.xhtml.StyleWithPropertiesConverterHelper

`applyStyle, getClassNamePrefix, getStyleDeclarations`

### Methods inherited from class writer2latex.xhtml.StyleConverterHelper

`applyDirection, applyLang, colScale, scale`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SectionStyleConverter

public SectionStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)
Create a new `SectionStyleConverter`

Parameters:
  `ofr` - an `OfficeReader` to read style information from
  `config` - the configuration to use
  `converter` - the main `Converter` class
  `nType` - the type of xhtml to use

## Method Details

### getStyles

public OfficeStyleFamily getStyles()
Get the family of section styles

Specified by:
  `getStyles` in class `StyleConverterHelper`
Returns:
  the style family

### getDefaultTagName

public String getDefaultTagName(StyleWithProperties style)

Create default tag name to represent a section object

Specified by:
  `getDefaultTagName` in class `StyleWithPropertiesConverterHelper`
Parameters:
  `style` - to use
Returns:
  the tag name. If the style is null, a default result should be returned.

### applyProperties

public void applyProperties(StyleWithProperties style, CSVList props, boolean bInherit)

Convert formatting properties for a specific section style.

Specified by:
  `applyProperties` in class `StyleWithPropertiesConverterHelper`
Parameters:
  `style` - the style to convert
  `props` - the `CSVList` object to add information to
  `bInherit` - true if properties should be inherited from parent style(s)